stages:
  - build
  - deploy_gcp

build_images:
  stage: build
  image: docker:26.1.1

  services:
    - docker:26.1.1-dind
  
  variables: 
    DOCKER_TLS_CERTDIR: "/certs"

  before_script:
    - docker login -u $REGISTRY_USER -p $REGISTRY_PASS

  script:
    - docker build -t ricardomarino/kubernetes-projeto-dio:1.0 app/.
    - docker push ricardomarino/kubernetes-projeto-dio:1.0

deploy_gcp:

  stage: deploy_gcp

  before_script:
    - chmod 400 $SSH_KEY
  
  script:
      - ssh -o StrictHostKeyChecking=no -i $SSH_KEY gcp@$SSH_SERVER "sudo rm -Rf ./kubernetes-projeto-dio/ && sudo git clone https://gitlab.com/ric.falgor/kubernetes-projeto-dio.git && cd kubernetes-projeto-dio && sudo chmod +x ./script.sh && ./script.sh"
